Loading...
Searching...
No Matches
pcl::FileGrabber< PointT > Class Template Referenceabstract
Module io

FileGrabber provides a container-style interface for grabbers which operate on fixed-size input. More...

`#include <pcl/io/file_grabber.h>`

Inheritance diagram for pcl::FileGrabber< PointT >:

## Public Member Functions

virtual | ~FileGrabber ()=default
| Empty destructor.
virtual const pcl::PointCloud< PointT >::ConstPtr | operator[] (std::size_t idx) const =0
| operator[] Returns the idx-th cloud in the dataset, without bounds checking.
virtual std::size_t | size () const =0
| size Returns the number of clouds currently loaded by the grabber
virtual const pcl::PointCloud< PointT >::ConstPtr | at (std::size_t idx) const
| at Returns the idx-th cloud in the dataset, with bounds checking

## Detailed Description

template<typename PointT>
class pcl::FileGrabber< PointT >

FileGrabber provides a container-style interface for grabbers which operate on fixed-size input.

Author
  Stephen Miller

Definition at line 53 of file file_grabber.h.

## Constructor & Destructor Documentation

## ~FileGrabber()

template<typename PointT>

virtual pcl::FileGrabber< PointT >::~FileGrabber | ( |  | ) |

virtual default

Empty destructor.

## Member Function Documentation

## at()

template<typename PointT>

virtual const pcl::PointCloud< PointT >::ConstPtr pcl::FileGrabber< PointT >::at | ( | std::size_t | idx | ) | const

inline virtual

at Returns the idx-th cloud in the dataset, with bounds checking

Parameters

  [in] | idx | The frame to load

Definition at line 75 of file file_grabber.h.

References size().

## operator[]()

template<typename PointT>

virtual const pcl::PointCloud< PointT >::ConstPtr pcl::FileGrabber< PointT >::operator[] | ( | std::size_t | idx | ) | const

pure virtual

operator[] Returns the idx-th cloud in the dataset, without bounds checking.

Note that in the future, this could easily be modified to do caching

Parameters

  [in] | idx | The frame to load

Implemented in pcl::ImageGrabber< PointT >, and pcl::PCDGrabber< PointT >.

## size()

template<typename PointT>

virtual std::size_t pcl::FileGrabber< PointT >::size | ( |  | ) | const

pure virtual

size Returns the number of clouds currently loaded by the grabber

Implemented in pcl::ImageGrabber< PointT >, and pcl::PCDGrabber< PointT >.

Referenced by at().

The documentation for this class was generated from the following file:

- pcl/io/file_grabber.h